Subject: Re: bug#34924: Default _SOURCES fails when the target contains dots

From: Дилян Палаузов<[email-masked]>
Date: Mon, 21 Feb 2022 08:18:41 +0200

Hello,

I cannot attach my full configure.ac .

I wrote the email in 2019 and in the meantime have forgotten any
context.

Greetings
  Dilyan

On Sun, 2022-02-20 at 20:14 -0500, Mike Frysinger wrote:
> On 20 Mar 2019 15:21, Дилян Палаузов wrote:
> > I expect that the line
> > 
> > a_b_d_e_f_g_SOURCES = a/b/d-e-f.g.c
> > 
> > to be superflous, as this is a “Default _SOURCE”, but `make` fails
> > with
> > 
> > make[1]: *** No rule to make target 'a/b/d-e-f.c', needed by
> > 'a/b/d_e_f_g-d-e-f.o'.  Stop
> > 
> > g is lost from the tagret.
> > 
> > …_PROGRAMS = a/b/c-e-f.g
> > 
> > Note, that there is a dot before g in both _SOURCES ad _PROGRAMS,
> > but the default extension was not changed from .c .
> > 
> > I use Automake 1.16.1.
> 
> i can't reproduce this.  your snippet seems to have a typo:
> …_PROGRAMS = a/b/c-e-f.g
> a_b_d_e_f_g_SOURCES = ...
> your PROGRAMS is set to .../c-... but your SOURCES variable is
> ..._d_...
> 
> can you please attach full configure.ac & Makefile.am that reproduces
> ?
> -mike